curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"curl": "curl -X POST https://api.stripe.com/v1/customers -H \"Authorization: Bearer sk_test_abc123\" -H \"Content-Type: application/x-www-form-urlencoded\" -d \"email=test@example.com\" -d \"name=John Doe\""
}' \
"https://yoursite.com/wp-json/getmcp/v1/tools/import-curl"
{
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"headers": {
"Content-Type": "application/x-www-form-urlencoded"
},
"auth_type": "bearer",
"auth_credentials": {
"token": "sk_test_abc123"
},
"body": {
"email": "test@example.com",
"name": "John Doe"
},
"input_schema": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "email"
},
"name": {
"type": "string",
"description": "name"
}
}
},
"parameter_mapping": {
"email": {"location": "body"},
"name": {"location": "body"}
}
}
Parse a cURL command and return the equivalent tool configuration.
curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"curl": "curl -X POST https://api.stripe.com/v1/customers -H \"Authorization: Bearer sk_test_abc123\" -H \"Content-Type: application/x-www-form-urlencoded\" -d \"email=test@example.com\" -d \"name=John Doe\""
}' \
"https://yoursite.com/wp-json/getmcp/v1/tools/import-curl"
{
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"headers": {
"Content-Type": "application/x-www-form-urlencoded"
},
"auth_type": "bearer",
"auth_credentials": {
"token": "sk_test_abc123"
},
"body": {
"email": "test@example.com",
"name": "John Doe"
},
"input_schema": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "email"
},
"name": {
"type": "string",
"description": "name"
}
}
},
"parameter_mapping": {
"email": {"location": "body"},
"name": {"location": "body"}
}
}
curl command and returns the equivalent tool configuration fields. This endpoint does not create a tool — it only returns the parsed data for prefilling the tool editor in your application.
curl command string to parse.curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"curl": "curl -X POST https://api.stripe.com/v1/customers -H \"Authorization: Bearer sk_test_abc123\" -H \"Content-Type: application/x-www-form-urlencoded\" -d \"email=test@example.com\" -d \"name=John Doe\""
}' \
"https://yoursite.com/wp-json/getmcp/v1/tools/import-curl"
{
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"headers": {
"Content-Type": "application/x-www-form-urlencoded"
},
"auth_type": "bearer",
"auth_credentials": {
"token": "sk_test_abc123"
},
"body": {
"email": "test@example.com",
"name": "John Doe"
},
"input_schema": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "email"
},
"name": {
"type": "string",
"description": "name"
}
}
},
"parameter_mapping": {
"email": {"location": "body"},
"name": {"location": "body"}
}
}